security/libcrack - The NetBSD Packages Collection

Password checking library

  CrackLib is a library containing a C function (well, lots of functions
really, but you only need to use one of them) which may be used in a
"passwd"-like program.

  The idea is simple: try to prevent users from choosing passwords that
could be guessed by "Crack" by filtering them out, at source.

  CrackLib is an offshoot of the version 5 "Crack" software, and
contains a considerable number of ideas nicked from the new software.

  NOTE THIS WELL: CrackLib is NOT a replacement "passwd" program.
CrackLib is a LIBRARY.  CrackLib is what trendy marketdroid types would
probably call an "enabler".

  The idea is that you wire it into your _own_ "passwd" program (if you
have source); alternatively, you wire it into something like "shadow"
from off of the net.  You can use it in other things, too.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 8.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 8.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 8.0i386libcrack-2.7nb2.tgz
NetBSD 8.0i386libcrack-2.7nb2.tgz
NetBSD 8.0powerpclibcrack-2.7nb2.tgz
NetBSD 8.0powerpclibcrack-2.7nb2.tgz
NetBSD 8.0powerpclibcrack-2.7nb2.tgz
NetBSD 8.0powerpclibcrack-2.7nb2.tgz
NetBSD 8.0x86_64libcrack-2.7nb2.tgz
NetBSD 8.0x86_64libcrack-2.7nb2.tgz
NetBSD 9.0aarch64libcrack-2.7nb2.tgz
NetBSD 9.0aarch64libcrack-2.7nb2.tgz
NetBSD 9.0aarch64libcrack-2.7nb2.tgz
NetBSD 9.0alphalibcrack-2.7nb2.tgz
NetBSD 9.0alphalibcrack-2.7nb2.tgz
NetBSD 9.0alphalibcrack-2.7nb2.tgz
NetBSD 9.0earmlibcrack-2.7nb2.tgz
NetBSD 9.0earmlibcrack-2.7nb2.tgz
NetBSD 9.0earmlibcrack-2.7nb2.tgz
NetBSD 9.0earmv6hflibcrack-2.7nb2.tgz
NetBSD 9.0earmv6hflibcrack-2.7nb2.tgz
NetBSD 9.0earmv6hflibcrack-2.7nb2.tgz
NetBSD 9.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 9.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 9.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 9.0earmv7hflibcrack-2.7nb2.tgz
NetBSD 9.0i386libcrack-2.7nb2.tgz
NetBSD 9.0i386libcrack-2.7nb2.tgz
NetBSD 9.0i386libcrack-2.7nb2.tgz
NetBSD 9.0m68klibcrack-2.7nb2.tgz
NetBSD 9.0m68klibcrack-2.7nb2.tgz
NetBSD 9.0mips64eblibcrack-2.7nb2.tgz
NetBSD 9.0mips64eblibcrack-2.7nb2.tgz
NetBSD 9.0mips64eblibcrack-2.7nb2.tgz
NetBSD 9.0mips64eblibcrack-2.7nb2.tgz
NetBSD 9.0mips64eblibcrack-2.7nb2.tgz
NetBSD 9.0mipsellibcrack-2.7nb2.tgz
NetBSD 9.0mipsellibcrack-2.7nb2.tgz
NetBSD 9.0mipsellibcrack-2.7nb2.tgz
NetBSD 9.0mipsellibcrack-2.7nb2.tgz
NetBSD 9.0powerpclibcrack-2.7nb2.tgz
NetBSD 9.0powerpclibcrack-2.7nb2.tgz
NetBSD 9.0powerpclibcrack-2.7nb2.tgz
NetBSD 9.0powerpclibcrack-2.7nb2.tgz
NetBSD 9.0sh3ellibcrack-2.7nb2.tgz
NetBSD 9.0sh3ellibcrack-2.7nb2.tgz
NetBSD 9.0sh3ellibcrack-2.7nb2.tgz
NetBSD 9.0sh3ellibcrack-2.7nb2.tgz
NetBSD 9.0sparc64libcrack-2.7nb2.tgz
NetBSD 9.0sparc64libcrack-2.7nb2.tgz
NetBSD 9.0sparc64libcrack-2.7nb2.tgz
NetBSD 9.0sparclibcrack-2.7nb2.tgz
NetBSD 9.0sparclibcrack-2.7nb2.tgz
NetBSD 9.0sparclibcrack-2.7nb2.tgz
NetBSD 9.0sparclibcrack-2.7nb2.tgz
NetBSD 9.0sparclibcrack-2.7nb2.tgz
NetBSD 9.0vaxlibcrack-2.7nb2.tgz
NetBSD 9.0vaxlibcrack-2.7nb2.tgz
NetBSD 9.0vaxlibcrack-2.7nb2.tgz
NetBSD 9.0vaxlibcrack-2.7nb2.tgz
NetBSD 9.0x86_64libcrack-2.7nb2.tgz
NetBSD 9.0x86_64libcrack-2.7nb2.tgz
NetBSD 9.0x86_64libcrack-2.7nb2.tgz
NetBSD 9.0x86_64libcrack-2.7nb2.tgz
NetBSD 9.0x86_64libcrack-2.7nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.